// pgp4pine debug.c

// See common.c for the version and license.
// Copyright (C) 1998 by Chris Wiegand

#include "includes.h"

// ----------------------------------------------------------------

void openDebugFile()
{
#ifdef MY_DEBUG
		char homeDir[MAX_COMMAND_LINE_LENGTH], debugFileName[MAX_COMMAND_LINE_LENGTH];
	
		// Okay, first, let's get the rc file name ($HOME/.pgp4pinerc)	
		strcpy(homeDir,getenv("HOME"));
		if (!homeDir || !*homeDir) strcpy(homeDir,"/tmp");
		sprintf(debugFileName,"%s/pgp4pine.debug",homeDir);
	
		if ((debugFile = fopen(debugFileName,"a")) == NULL) {
			if ((debugFile = fopen(debugFileName,"w")) == NULL) {
				printf("Debug file (%s) couldn't be opened... using stdout.\n",debugFileName);
				debugFile = stdout;
			} else {
				printf("Creating new debug file (%s).\n",debugFileName);
			}
		} else {
			printf("Appending to existing debug file (%s).\n",debugFileName);
		}
		if (debugFile != stdout) {
			fprintf(debugFile,"\n");
			fprintf(debugFile,"---------------------------------------------------------------\n");
			fprintf(debugFile,"===============================================================\n");
			fprintf(debugFile,"---------------------------------------------------------------\n\n");
		}
#endif
}

void documentStatus(char *status)
{
#ifdef MY_DEBUG
	// status is already either initialized/malloced, or is pure text...
	// so, it's a (safe) pointer...
	fprintf(debugFile,status);
	fflush(debugFile);
#endif
}

